pods::SDL::MPEG(3pm)

NAME
SDL::MPEG - a SDL perl extension

CATEGORY
TODO

SYNOPSIS
  $info = SDL::MPEG->new( -from => $mpeg );

DESCRIPTION
"SDL::MPEG" provides an interface to querying the status of a SMPEG stream.

  METHODS

•   "SDL::MPEG::has_audio" returns true if it has audio track

•   "SDL::MPEG::has_video" returns true if it has a video track

•   "SDL::MPEG::width" returns the width of the video in pixels

•   "SDL::MPEG::height" returns the height of the video in pixels

•   "SDL::MPEG::size" returns the total size of the clip in bytes

•   "SDL::MPEG::offset" returns the offset into the clip in bytes

•   "SDL::MPEG::frame" returns the offset into the clip in frames

•   "SDL::MPEG::fps" returns the play rate in frames per second

•   "SDL::MPEG::time" returns the current play time in seconds

•   "SDL::MPEG::length" returns the total play time in seconds

AUTHOR
David J. Goehrig

SEE ALSO
perl(1) SDL::Video(3)